#include <Wire.h>
#include <Adafruit_GFX.h>
#include <Adafruit_SSD1306.h>

#define Height 128
#define Width 64

Adafruit_SSD1306 display(Height,Width,&Wire,-1);

void setup(){
  Serial.begin(115200);

  if (!display.begin(SSD1306_SWITCHCAPVCC, 0x3c)){
    Serial.println ("I2C initialisation failed");
    for(;;);
  }
  delay(200);
  
  display.clearDisplay();
  display.setTextSize(1);
  display.setTextColor(WHITE);
  display.setCursor(0,0);
  display.println("Hello world!");
  display.display(); 
}

void loop(){ 
}
