#include <Wire.h>

#define RGB 38
#define SDA 8
#define SCL 9

void setup(){
  Serial.begin(115200);
  // while(!Serial){}
  Serial.println("I2C Scanner scanning...");
  byte count=0;
  pinMode(RGB,OUTPUT);
  digitalWrite(RGB,HIGH);
  Wire.begin();
  for (byte i=1; i<120; i++){
    Wire.beginTransmission(i);
    // Serial.println (Wire.endTransmission());
    if (Wire.endTransmission()==0){
      // Serial.println (Wire.endTransmission());
      Serial.print ("Found Address: ");
      Serial.print(i, DEC);
      Serial.print(" (0x");
      Serial.print(i, HEX);
      Serial.println(")");
      count++;
      delay(2);
    }
  }
    Serial.print("Done. ");
    Serial.print("Found ");
    Serial.print(count, DEC);
    Serial.print(" device(s)");
}

void loop(){}
