#include &ltU8g2lib.h&gt
#include &ltWire.h&gt

long dt;
long vert;

U8G2_SSD1306_128X64_NONAME_F_HW_I2C u8g2(U8G2_R0, U8X8_PIN_NONE);

void setup(){
  Serial.begin(115200);
  if (!u8g2.begin()){
  Serial.println("Display not initialized");
  for(;;);
  }
  delay(1000);
  Serial.println("Display initialized");
}

void mouth_open(){
  u8g2.clearBuffer();
  u8g2.setFontMode(1);
  u8g2.setBitmapMode(1);
  u8g2.drawFilledEllipse(83, 33+vert, 8, 13);
  u8g2.drawFilledEllipse(62, 54+vert, 8, 6);
  u8g2.drawFilledEllipse(41, 33+vert, 8, 13);
  u8g2.sendBuffer();
}

void mouth_half_open (){
  u8g2.clearBuffer();
  u8g2.setFontMode(1);
  u8g2.setBitmapMode(1);
  u8g2.drawFilledEllipse(83, 33+vert, 8, 13);
  u8g2.drawFilledEllipse(41, 33+vert, 8, 13);
  u8g2.drawFilledEllipse(62, 57+vert, 8, 3);
  u8g2.sendBuffer();
} 

void mouth_closed (){
  u8g2.clearBuffer();
  u8g2.setFontMode(1);
  u8g2.setBitmapMode(1);
  u8g2.drawFilledEllipse(83, 33+vert, 8, 13);
  u8g2.drawFilledEllipse(62, 59+vert, 8, 1);
  u8g2.drawFilledEllipse(41, 33+vert, 8, 13);
  u8g2.sendBuffer();
}

void loop(){
  vert = random(0,3);
  dt = random(0,150);
  
  mouth_closed();
  delay(dt);
  // Serial.println(dt);

  vert = random(0,3);
  dt = random(0,200);
  mouth_half_open();
  delay(dt);
  // Serial.println(dt);

  vert = random(0,3);
  dt = random(0,200);
  mouth_open();
  delay(dt);
  // Serial.println(dt);

  vert = random(0,3);
  dt = random(0,200);
  mouth_half_open();
  delay(dt);
  // Serial.println(dt);

  vert = random(0,3);
  dt = random(0,200);
  mouth_closed();
  delay(dt);
  // Seri